ランタイム: Mix::HID::IGamepad Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::HID::IGamepad Class Referenceabstract

ゲームパッドインターフェース More...

`#include <IGamepad.h>`

Inheritance diagram for Mix::HID::IGamepad:
[legend]
Collaboration diagram for Mix::HID::IGamepad:
[legend]

## Public Member Functions

virtual UInt32 | GetButtonState (UInt32 index) const =0
| ボタンの状態を取得します More...
virtual Float32 | GetTriggerState (UInt32 index) const =0
| トリガーの状態を取得します More...
virtual const Mix::Vector2 & | GetStickState (UInt32 index) const =0
| スティックの状態を取得します More...
virtual Boolean | IsAvailable (void) const =0
| このインターフェースが利用可能などうかを確認します More...
virtual Mix::HID::GAMEPAD_API | GetAPI (void) const =0
| このインターフェースで使用しているAPIを取得します More...
virtual UInt8 | GetSourceButtonValue (UInt32 index) const =0
| 割り当てるソースのボタンの値を取得します( DirectInput ) More...
virtual UInt32 | GetSourcePovValue (UInt32 index) const =0
| 割り当てるソースの POV の値を取得します( DirectInput ) More...
virtual void | SetButtonAssignment (UInt32 targetIndex, UInt32 sourceIndex)=0
| ボタンの割り当てを設定します( DirectInput ) More...
virtual UInt32 | GetButtonAssignment (UInt32 targetIndex) const =0
| ボタンの割り当て元を取得します( DirectInput ) More...
virtual void | SetTriggerAssignment (UInt32 targetIndex, UInt32 sourceIndex)=0
| トリガーの割り当てを設定します( DirectInput ) More...
virtual UInt32 | GetTriggerAssignment (UInt32 targetIndex) const =0
| トリガーの割り当て元ボタンを取得します( DirectInput ) More...
virtual void | SetTriggerThreshold (UInt32 index, UInt8 threshold)=0
| トリガーの閾値を設定します( XInput ) More...
virtual UInt8 | GetTriggerThreshold (UInt32 index) const =0
| トリガーの閾値を取得します( XInput ) More...
virtual void | SetStickDeadZone (UInt32 index, Int16 deadZone)=0
| スティックのデッドゾーンを設定します More...
virtual Int16 | GetStickDeadZone (UInt32 index) const =0
| スティックのデッドゾーンを取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IGamepad (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

ゲームパッドインターフェース

## Constructor & Destructor Documentation

virtual Mix::HID::IGamepad::~IGamepad | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual UInt32 Mix::HID::IGamepad::GetButtonState | ( | UInt32 | index | ) | const

pure virtual

ボタンの状態を取得します

Parameters

  [in] | index | ボタンを表す Mix::HID::GAMEPAD_BUTTON 列挙定数

Returns
  ボタンの状態を表す Mix::HID::SWITCH_STATE 列挙定数の組み合わせを返します

virtual Float32 Mix::HID::IGamepad::GetTriggerState | ( | UInt32 | index | ) | const

pure virtual

トリガーの状態を取得します

Parameters

  [in] | index | トリガーのインデックス( Mix::HID::GAMEPAD_LEFT もしくわ Mix::HID::GAMEPAD_RIGHT )

Returns
  トリガーの状態を( 0.0f〜1.0f )を返します

virtual const Mix::Vector2& Mix::HID::IGamepad::GetStickState | ( | UInt32 | index | ) | const

pure virtual

スティックの状態を取得します

Parameters

  [in] | index | スティックのインデックス( Mix::HID::GAMEPAD_LEFT もしくわ Mix::HID::GAMEPAD_RIGHT )

Returns
  スティックの状態を表す Mix::Vector2 クラスを返します

virtual Boolean Mix::HID::IGamepad::IsAvailable | ( | void |  | ) | const

pure virtual

このインターフェースが利用可能などうかを確認します

Returns
  このインターフェースが利用可能な場合は True を返します

virtual Mix::HID::GAMEPAD_API Mix::HID::IGamepad::GetAPI | ( | void |  | ) | const

pure virtual

このインターフェースで使用しているAPIを取得します

Returns
  使用しているAPIを表す Mix::HID::GAMEPAD_API 列挙定数を返します

virtual UInt8 Mix::HID::IGamepad::GetSourceButtonValue | ( | UInt32 | index | ) | const

pure virtual

割り当てるソースのボタンの値を取得します( DirectInput )

Parameters

  [in] | index | ボタンのインデックス( 0〜31 )

Returns
  ボタンの値を返します。

Note
  0 以上でボタンが押されていることになります。
  ボタンの割り当て ( SetButtonAssignment ) の際のヘルパーとしてお使いください。

virtual UInt32 Mix::HID::IGamepad::GetSourcePovValue | ( | UInt32 | index | ) | const

pure virtual

割り当てるソースの POV の値を取得します( DirectInput )

Parameters

  [in] | index | POV のインデックス( 0〜7 )

Returns
  POV の値を返します。

Note
  0 以上で POV が押されていることになります。
  ボタンの割り当て ( SetButtonAssignment ) の際のヘルパーとしてお使いください。

virtual void Mix::HID::IGamepad::SetButtonAssignment | ( | UInt32 | targetIndex,
|  | UInt32 | sourceIndex
| ) |  |

pure virtual

ボタンの割り当てを設定します( DirectInput )

Parameters

  [in] | targetIndex | ボタンの割り当て先ボタンを表す Mix::HID::GAMEPAD_BUTTON 列挙定数
  [in] | sourceIndex | ボタンの割り当て元ボタン( 0〜31 )、もしくわ POV( 0〜7 )

virtual UInt32 Mix::HID::IGamepad::GetButtonAssignment | ( | UInt32 | targetIndex | ) | const

pure virtual

ボタンの割り当て元を取得します( DirectInput )

Parameters

  [in] | targetIndex | ボタンの割り当て先を表す Mix::HID::GAMEPAD_BUTTON 列挙定数

Returns
  ボタンの割り当て元を返します

Note
  ボタンの割り当てが無効( XInput )、もしくわ targetIndex が範囲を超えている場合は 0xFFFFFFFF を返します

virtual void Mix::HID::IGamepad::SetTriggerAssignment | ( | UInt32 | targetIndex,
|  | UInt32 | sourceIndex
| ) |  |

pure virtual

トリガーの割り当てを設定します( DirectInput )

Parameters

  [in] | targetIndex | トリガーの割り当て先( Mix::HID::GAMEPAD_LEFT もしくわ Mix::HID::GAMEPAD_RIGHT )
  [in] | sourceIndex | トリガーの割り当て元ボタン( 0〜31 )

virtual UInt32 Mix::HID::IGamepad::GetTriggerAssignment | ( | UInt32 | targetIndex | ) | const

pure virtual

トリガーの割り当て元ボタンを取得します( DirectInput )

Parameters

  [in] | targetIndex | トリガーの割り当て先( Mix::HID::GAMEPAD_LEFT もしくわ Mix::HID::GAMEPAD_RIGHT )

Returns
  トリガーの割り当て元ボタンを返します

Note
  トリガーの割り当てが無効( XInput )、もしくわ targetIndex が範囲を超えている場合は 0xFFFFFFFF を返します

virtual void Mix::HID::IGamepad::SetTriggerThreshold | ( | UInt32 | index,
|  | UInt8 | threshold
| ) |  |

pure virtual

トリガーの閾値を設定します( XInput )

Parameters

  [in] | index | トリガーのインデックス( Mix::HID::GAMEPAD_LEFT もしくわ Mix::HID::GAMEPAD_RIGHT )
  [in] | threshold | トリガーの閾値( 0〜255 )

virtual UInt8 Mix::HID::IGamepad::GetTriggerThreshold | ( | UInt32 | index | ) | const

pure virtual

トリガーの閾値を取得します( XInput )

Parameters

  [in] | index | トリガーのインデックス( Mix::HID::GAMEPAD_LEFT もしくわ Mix::HID::GAMEPAD_RIGHT )

Returns
  トリガーの閾値を返します

Note
  トリガーの閾値が無効( DirectInput )の場合は Mix::HID::GAMEPAD_TRIGGER_RESOLUTION を返します

virtual void Mix::HID::IGamepad::SetStickDeadZone | ( | UInt32 | index,
|  | Int16 | deadZone
| ) |  |

pure virtual

スティックのデッドゾーンを設定します

Parameters

  [in] | index | スティックのインデックス( Mix::HID::GAMEPAD_LEFT もしくわ Mix::HID::GAMEPAD_RIGHT )
  [in] | deadZone | デッドゾーン( 0〜32767 )

virtual Int16 Mix::HID::IGamepad::GetStickDeadZone | ( | UInt32 | index | ) | const

pure virtual

スティックのデッドゾーンを取得します

Parameters

  [in] | index | スティックのインデックス( Mix::HID::GAMEPAD_LEFT もしくわ Mix::HID::GAMEPAD_RIGHT )

Returns
  スティックのデッドゾーンを返します

Note
  index が範囲を超えている場合は Mix::HID::GAMEPAD_STICK_RESOLUTION を返します

The documentation for this class was generated from the following file:

- Mix/HID/IGamepad.h